diff --git a/src/backend/commands/explain.c b/src/backend/commands/explain.c
index 7e4432f080..d8a7232ced 100644
--- a/src/backend/commands/explain.c
+++ b/src/backend/commands/explain.c
@@ -2038,7 +2038,7 @@ ExplainNode(PlanState *planstate, List *ancestors,
 				ExplainIndentText(es);
 				appendStringInfo(es->str, "actual ");
 				if (es->timing)
-					appendStringInfo(es->str, "time=%.3f..%.3f", startup_ms, total_ms);
+					appendStringInfo(es->str, "time=%.3f..%.3f ", startup_ms, total_ms);
 
 				appendStringInfo(es->str, "rows=%.2f loops=%.0f\n", rows, nloops);
 			}
